import { RemovalPolicy } from 'aws-cdk-lib';
import { IVpc, ISecurityGroup, SubnetSelection } from 'aws-cdk-lib/aws-ec2';
import { IPrincipal, IRole, PolicyDocument } from 'aws-cdk-lib/aws-iam';
import { CfnCluster, CfnClusterPolicy, CfnServerlessCluster } from 'aws-cdk-lib/aws-msk';
import { ISecret } from 'aws-cdk-lib/aws-secretsmanager';
import { Construct } from 'constructs';
import { DsfProvider } from '../../../utils/lib/dsf-provider';
export declare function addClusterPolicy(scope: Construct, policy: PolicyDocument, id: string, cluster: CfnServerlessCluster | CfnCluster): CfnClusterPolicy;
export declare function mskIamCrudProviderSetup(scope: Construct, removalPolicy: RemovalPolicy, vpc: IVpc, subnets: SubnetSelection, brokerSecurityGroup: ISecurityGroup, clusterArn: string, iamHandlerRole?: IRole): DsfProvider;
export declare function mskAclAdminProviderSetup(scope: Construct, removalPolicy: RemovalPolicy, vpc: IVpc, subnets: SubnetSelection, brokerSecurityGroup: ISecurityGroup, clusterArn: string, secret: ISecret, mtlsHandlerRole?: IRole): DsfProvider;
export declare function grantConsumeIam(topicName: string, principal: IPrincipal, clusterArn: string): void;
export declare function grantProduceIam(topicName: string, principal: IPrincipal, clusterArn: string): void;
