import { RemovalPolicy } from 'aws-cdk-lib';
/**
 * The properties of the `CreateServiceLinkedRole` construct
 */
export interface CreateServiceLinkedRoleProps {
    /**
     * The removal policy when deleting the CDK resource.
     * If DESTROY is selected, context value `@data-solutions-framework-on-aws/removeDataOnDestroy` needs to be set to true.
     * Otherwise, the removalPolicy is reverted to RETAIN.
     * @default - The resources are not deleted (`RemovalPolicy.RETAIN`).
     */
    readonly removalPolicy?: RemovalPolicy;
}
